Podręcznik PHP
Poprzedni |  | Następny

# apache_lookup_uri

(PHP 3>= 3.0.4, PHP 4 )

apache_lookup_uri -- Wywołuje wewnętrzne żądanie dla określonego URI i zwraca całą informację o nim

## Opis

object apache_lookup_uri ( string nazwa_pliku)

Ta funkcja wywołuje wewnętrzne żądanie dla określonego URI. Funkcja zbiera wszystkie istotne informacje odnośnie podanego źródła informacji i zwraca je w postaci klasy. Właściwości zwróconej klasy to:

status
the_request
status_line
method
content_type
handler
uri
filename
path_info
args
boundary
no_cache
no_local_copy
allowed
send_bodyct
bytes_sent
byterange
clength
unparsed_uri
mtime
request_time

> Notatka: apache_lookup_uri() działa jedynie wówczas, kiedy PHP jest zainstalowane jako moduł serwera Apache.

Poprzedni | Spis treści | Następny
apache_getenv | Początek rozdziału | apache_note